Bug 146518 - ImageMagick-perl installs it's modules in the wrong directory
ImageMagick-perl installs it's modules in the wrong directory
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-28 18:14 EST by Reuben Farrelly
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 00:59:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reuben Farrelly 2005-01-28 18:14:34 EST
At present, ImageMagick-perl installs it's modules in this directory:

/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi/Image
/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi/Image/Magick.pm
/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi/auto/Image
/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi/auto/Image/Magick
/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi/auto/Image/Magick/Magick.so
/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi/auto/Image/Magick/autosplit.ix

This is a bug, and inconsistent with nearly all other perl modules in the
distribution.  It should be installing them in:

/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/ ...

instead.  Perl modules shipped by the vendor (ie Redhat) should be installed in
the vendor_perl directory not site_perl.
Comment 1 Matthias Clasen 2005-04-26 00:59:50 EDT
Fixed in rawhide. FC3 update will be pushed to testing tomorrow.

Note You need to log in before you can comment on or make changes to this bug.